/* mbed Microcontroller Library - SDFileSystem
 * Copyright (c) 2008-2009, sford
 */

#ifndef SDCARD_H
#define SDCARD_H

#include "mbed.h"

class SDcard
{
public:
    SDcard(PinName mosi, PinName miso, PinName sclk, PinName cs);
    virtual int disk_write(const char *buffer, int block_number);
    virtual int disk_read(char *buffer, int block_number);   

protected:

    int _cmd(int cmd, int arg);
    int _read(char *buffer, int length);
    int _write(const char *buffer, int length);
    
    SPI _spi;
    DigitalOut _cs;     
};

#endif
